<?php

namespace Modules\Store\Interfaces;

use Modules\Store\Models\Store;

interface StoreRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Store;
    public function update(array $request, Store $store): Store;
    public function destroy(Store $store): void;
    public function destroyAll(array $ids): void;
    public function restore(Store $store): void;
    public function restoreAll(array $ids): void;
}
